Bug 1769107 - certbot-1.0.0 is available
Summary: certbot-1.0.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: certbot
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-05 22:46 UTC by Upstream Release Monitoring
Modified: 2019-12-15 09:00 UTC (History)
9 users (show)

Fixed In Version: certbot-1.0.0-1.fc31
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-15 01:17:55 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-11-05 22:46:12 UTC
Latest upstream release: 0.40.0
Current version/release in rawhide: 0.39.0-1.fc32
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/10690/

Comment 1 Upstream Release Monitoring 2019-11-05 22:46:15 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- certbot-renew-systemd.service
- certbot-renew-systemd.timer
- certbot-sysconfig-certbot
- certbot-README.fedora

Comment 2 Upstream Release Monitoring 2019-11-06 03:46:32 UTC
Latest upstream release: 0.40.1
Current version/release in rawhide: 0.39.0-1.fc32
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/10690/

Comment 3 Upstream Release Monitoring 2019-11-06 03:46:35 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- certbot-renew-systemd.service
- certbot-renew-systemd.timer
- certbot-sysconfig-certbot
- certbot-README.fedora

Comment 4 Felix Schwarz 2019-11-27 10:46:25 UTC
ping?
(0.40.0 is out since May.)

Comment 5 Ben Cotton 2019-11-27 14:19:09 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Felix Schwarz 2019-11-27 14:30:11 UTC
Huh, seems like the EOL bot is going bananas...

Comment 7 Itamar Reis Peixoto 2019-12-03 01:29:11 UTC
(In reply to Felix Schwarz from comment #6)

patches are welcome, when I have some time I will take a look.

Comment 8 Felix Schwarz 2019-12-03 07:31:20 UTC
(In reply to Itamar Reis Peixoto from comment #7)
> patches are welcome, when I have some time I will take a look.

Eli Young mentioned that he is waiting for certbot 1.0 (likely because there are a lot of packages to keep in sync and 1.0 is expected "soon"):
https://src.fedoraproject.org/rpms/certbot/pull-request/3#comment-34501

In the mean time I started publishing a COPR https://copr.fedorainfracloud.org/coprs/fschwarz/certbot-epel8/ (git: https://src.fedoraproject.org/fork/fschwarz/rpms/certbot/commits/master ). Currently this is "work in progress" because I need to remove some  unnecessary runtime dependencies (python-mock, only in CentOS "PowerTools" repo, not enabled for deployments by default).

Comment 9 Paul Howarth 2019-12-03 08:39:11 UTC
(In reply to Felix Schwarz from comment #8)
> I need to remove some 
> unnecessary runtime dependencies (python-mock, only in CentOS "PowerTools"
> repo, not enabled for deployments by default).

I wouldn't worry about that too much. The CRB/PowerTools repo is expected to be enabled by EPEL users:

https://fedoraproject.org/wiki/EPEL#How_can_I_use_these_extra_packages.3F

Comment 10 Upstream Release Monitoring 2019-12-03 21:47:30 UTC
Latest upstream release: 1.0.0
Current version/release in rawhide: 0.39.0-1.fc32
URL: https://pypi.python.org/pypi/certbot

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/10690/

Comment 11 Upstream Release Monitoring 2019-12-03 21:47:33 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- certbot-renew-systemd.service
- certbot-renew-systemd.timer
- certbot-sysconfig-certbot
- certbot-README.fedora

Comment 12 Fedora Update System 2019-12-05 02:16:41 UTC
FEDORA-EPEL-2019-dab1d939a8 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dab1d939a8

Comment 13 Fedora Update System 2019-12-05 02:23:06 UTC
FEDORA-2019-757ddfed48 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-757ddfed48

Comment 14 Fedora Update System 2019-12-05 02:26:06 UTC
FEDORA-2019-f731f83d0d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f731f83d0d

Comment 15 Fedora Update System 2019-12-07 02:18:08 UTC
certbot-1.0.0-1.fc30, python-acme-1.0.0-1.fc30, python-certbot-nginx-1.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-757ddfed48

Comment 16 Fedora Update System 2019-12-07 03:19:48 UTC
certbot-1.0.0-1.el7, python-acme-1.0.0-1.el7, python-certbot-nginx-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-dab1d939a8

Comment 17 Fedora Update System 2019-12-07 03:38:48 UTC
certbot-1.0.0-1.fc31, python-acme-1.0.0-1.fc31, python-certbot-nginx-1.0.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f731f83d0d

Comment 18 Fedora Update System 2019-12-15 01:17:55 UTC
certbot-1.0.0-1.fc31, python-acme-1.0.0-1.fc31, python-certbot-nginx-1.0.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-12-15 09:00:14 UTC
certbot-1.0.0-1.fc30, python-acme-1.0.0-1.fc30, python-certbot-nginx-1.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.